Bug 1290 - Support for rudimentary GNU-style backup filesystem.
Support for rudimentary GNU-style backup filesystem.
Status: CLOSED WONTFIX
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P4 (vote)
: TBD
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-03 18:39 UTC by Jesse Glick
Modified: 2008-12-23 11:00 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 1999-03-03 18:39:01 UTC
SEE MODULE WISHLIST

Would be a module, of course. Basic idea is to provide a simple alternative for people not interested in using a full VC system.

Filesystem would have a few simple Bean parameters, and wrap around another writable FS. Upon opening an output stream to any existing, nonempty file in the FS, a backup file would be created, e.g. My
Source.java~, or MySource.form~. Options to use numeric backups as well, e.g. MySource.java.~3~. Basically, standard GNU conventions. (How would filename extensions work?)

As these files would not be openable or renamable to live files within the IDE (or even visible, as there would be no loader for them), a possible improvement would be add an item to FileSystem.getAct
ions() which would pop up a simple dialog box allowing the user to retrieve past backup versions (locking the file first), delete backup versions, etc.
Comment 1 Quality Engineering 2003-07-02 14:57:15 UTC
Resolved for 3.4.x or earlier, no new info since then -> verify.
Comment 2 Quality Engineering 2003-07-02 15:14:35 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo